


  <!-- Navigation -->
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark static-top">
    <div class="container">
      <a class="navbar-brand" href="/">OBScontrole</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="/verification">Verification</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/maintenance">Maintenance</a>
          </li>
        </ul>

      </div>
    </div>
  </nav>

 <!-- Page Content -->
<section style="background: transparent !important" class="mb-0 jumbotron text-center">
  <div class="container">
        <h1 class="jumbotron-heading">Historique</h1>
  <p class="lead text-muted">	Revue des actions passés sur l'OBS
</p>
  </div>
</section>

<div class="album py-5 bg-light" >
<div class="container">
<div class="table-responsive" style="overflow-x:hidden; margin-left: 5px; margin-right: 5px;">

<table id="histo" class="table table-striped table-sm">
<thead>

<tr>

<th align="left">Date</th>

</tr>


</thead>
<tbody>
</tbody>

</table>

</div>
</div>
</div>



    <script src="/js/datatables.min.js"></script>

<script>


$(function () {
	var i;
	var recup_sess = "{{data.sess}}".split(",");
	var recup_date = "{{data.date}}".split(",");


	//console.log(recup_date[0].toLocalDateString("en-US"));

//console.log(JSON.stringify(recup_date[0]).replace('"','').replace('"',''));
	for(i=0;i<recup_sess.length;i++){
		console.log(i);
		$('#histo tbody').append('<tr class="recup" style="cursor: pointer;" id='+JSON.stringify(recup_sess[i])+'><td>'+recup_date[i].replace('Z','<span style="font-weight: bold;">Z</span>').replace('T','<span style="font-weight: bold;"> T</span>')+'</td></tr>');
		console.log("verif fin: "+i);
	};



	console.log(recup_sess);
	console.log(recup_date);
//	socket.emit('historique');
//	socket.on('datas',function(msg){
//		console.log(msg);
//		for(i=0;i<msg.date.length;i++){
//			console.log(i);
//			$('#histo tbody').append('<tr class="recup" style="cursor: pointer;" id='+JSON.stringify(msg.sess[i])+'><td>'+i+'</td><td>'+JSON.stringify(msg.date[i]).replace(/T/, ' ').replace(/\..+/, '').replace('"','')+'</td></tr>');
//			console.log("verif fin: "+i);
//		};
//console.log("Attention "+
//JSON.stringify(msg.date[0]).replace(/T/, ' ').replace(/\..+/, '').replace('"',''))
//+"  "+msg.sess);

	$('#histo').DataTable({
		"language": {
			"lengthMenu": "Afficher _MENU_ item par page",
			"zeroRecords": "Rien a été trouvé, déso",
			"info": "page n° _PAGE_ sur _PAGES_",
			"infoEmpty": "Aucunes entrées disponibles",
			"infoFiltered": "(de _MAX_ entrées totales)",
			"search": "Recherche",
			"order": [[0,"asc"]],
			"paginate" : {
				"previous": "Précédent",
				"next": "Suivant"
			}
		}

	});
//console.log("FIN "+i);

//delegated event de merde pour afficher les détails de l'historique
	$('tbody').on("click", ".recup", function() {

		console.log('Demande d"infos :'+this.id);

		var state = $(this).data('state');

		switch(state){
			case 1 : socket.emit('affiche_histo',this.id);$(this).data('state',2);console.log("cas 1");$("#histo tbody tr").css("cursor","progress");
			break;
			case undefined : socket.emit('affiche_histo',this.id);$(this).data('state',2);console.log("cas undefined");$("#histo tbody tr").css("cursor","progress");
			break;
			case 2 : //console.log($(this).children().children("table"));
				 $(this).children().children("table").remove();
				 $(this).data('state',1);
				 console.log("cas 2"+JSON.stringify($(this).children().eq(1)));
			break;
		}
	});

	//Affichage des détails
	socket.on('affiche_histo_recu',function(datas){
		$('#'+datas[0].session+' td:nth-child(1)').append("<table id='tab_"+datas[0].session+"'></table>");
		for(i=0;i<datas.length;i++){
			console.log(datas[i]);
			$('#tab_'+datas[i].session).append("<tr><td>"+datas[i].ordres+"</td><td >"+datas[i].infos+"</td><td>"+datas[i].date+"</td></tr>");
			console.log(datas[i]);
			console.log("Enfin recu tout le bordel :"+datas[i].infos);
			console.log("Enfin recu tout le bordel :"+datas[i].date);
			console.log("Enfin recu tout le bordel :"+datas[i].ordres);
		}
		$("#histo tbody tr").css("cursor","pointer");
		//$("body").css("cursor","default");
	});

});

</script>

